Bug 1015288 - Fails to boot to graphics/KDE
Fails to boot to graphics/KDE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-10-03 15:59 EDT by Tomas Toth
Modified: 2013-10-13 14:13 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-10-13 14:13:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
systemd-analyze > systemd-analyze.log (96 bytes, text/plain)
2013-10-03 16:01 EDT, Tomas Toth
no flags Details
systemd-analyze blame > systemd-analyze_blame.log (2.62 KB, text/plain)
2013-10-03 16:02 EDT, Tomas Toth
no flags Details
systemd-analyze --fuzz=10ms critical-chain b> systemd-analyze_--fuzz_10ms_critical-chain.log (1.76 KB, text/plain)
2013-10-03 16:03 EDT, Tomas Toth
no flags Details
boot.log (11.05 KB, text/plain)
2013-10-03 16:04 EDT, Tomas Toth
no flags Details
journalctl -b > journalctl_-b.log (134.00 KB, text/plain)
2013-10-03 16:09 EDT, Tomas Toth
no flags Details
journalctl -o short-monotonic -ab > journalctl_-o_short_monotonic_-ab.log (132.52 KB, text/plain)
2013-10-03 16:10 EDT, Tomas Toth
no flags Details
journalctl -o short-monotonic -ab -o verbose > journalctl_-o_short-monotonic_-ab_-o_verbose.log (834.24 KB, text/plain)
2013-10-03 16:11 EDT, Tomas Toth
no flags Details
Xorg.0.log (32.69 KB, text/plain)
2013-10-04 13:59 EDT, Tomas Toth
no flags Details
kdm.log (24.30 KB, text/plain)
2013-10-04 14:00 EDT, Tomas Toth
no flags Details

  None (edit)
Description Tomas Toth 2013-10-03 15:59:54 EDT
Description of problem:
Boot hangs, usually at the following point
[   ***] A start job is running for Network Manager

Version-Release number of selected component (if applicable):
I am not sure which component is causing this.
systemd.x86_64         204-15.fc19
NetworkManager.x86_64  1:
kdm.x86_64             4.11.1-3.fc19
kernel.x86_64          3.11.2-201.fc19

How reproducible:
Fails in: 1 out of 2 boots, 2 out of 3, last time about 10 times in a row.

Steps to Reproduce:
Power ON or reboot (shutdown -r now).

Actual results:
Boot hangs.

Expected results:
Boots to Graphics/KDE.

Additional info:
The system was upgraded from f17 -> f18 -> f19.
I do not have the rhgb kernel command-line parameter - no plymouth.

I do not know much the new systemd, journal tools. I looked up some commands in similar bugs and created a small script collecting logs. I collected several sets of logs. I am going to attach logs from one of them. I collected them by logging to TTY2 (Alt-F2).

dt=$(date "+%Y-%m-%d_%H:%M")

mkdir $dir
cd $dir

systemd-analyze       > systemd-analyze.log 2>&1
systemd-analyze blame > systemd-analyze_blame.log 2>&1
systemd-analyze --fuzz=10ms critical-chain   > systemd-analyze_--fuzz_10ms_critical-chain.log 2>&1

journalctl -b         > journalctl_-b.log 2>&1

journalctl -o short-monotonic -ab            > journalctl_-o_short_monotonic_-ab.log 2>&1
journalctl -o short-monotonic -ab -o verbose > journalctl_-o_short-monotonic_-ab_-o_verbose.log 2>&1

I also stored the legacy (messages, dmesg, etc.) logs. Let me know if / what else may help.
Comment 1 Tomas Toth 2013-10-03 16:01:48 EDT
Created attachment 807243 [details]
systemd-analyze  > systemd-analyze.log
Comment 2 Tomas Toth 2013-10-03 16:02:30 EDT
Created attachment 807245 [details]
systemd-analyze blame > systemd-analyze_blame.log
Comment 3 Tomas Toth 2013-10-03 16:03:36 EDT
Created attachment 807247 [details]
systemd-analyze --fuzz=10ms critical-chain b> systemd-analyze_--fuzz_10ms_critical-chain.log
Comment 4 Tomas Toth 2013-10-03 16:04:48 EDT
Created attachment 807250 [details]
Comment 5 Tomas Toth 2013-10-03 16:09:16 EDT
Created attachment 807252 [details]
journalctl -b  > journalctl_-b.log
Comment 6 Tomas Toth 2013-10-03 16:10:12 EDT
Created attachment 807253 [details]
journalctl -o short-monotonic -ab  > journalctl_-o_short_monotonic_-ab.log
Comment 7 Tomas Toth 2013-10-03 16:11:04 EDT
Created attachment 807254 [details]
journalctl -o short-monotonic -ab -o verbose  > journalctl_-o_short-monotonic_-ab_-o_verbose.log
Comment 8 Tomas Toth 2013-10-04 13:57:05 EDT
I have just found the following messages in the logs (journalctl_-b.log and journalctl_-o_short_monotonic_-ab.log):
kdm[592]: X server startup timeout, terminating

I am going to attach the Xorg.0.log and kdm.log and re-assign it rather to Xorg component.

Could you please have a look at them? The boot now fail like 8-9 times out of 10?
Comment 9 Tomas Toth 2013-10-04 13:59:20 EDT
Created attachment 807892 [details]
Comment 10 Tomas Toth 2013-10-04 14:00:26 EDT
Created attachment 807893 [details]
Comment 11 Tomas Toth 2013-10-11 13:13:33 EDT
I cannot reproduce the issue after a kernel update to 3.11.3-201.fc19.x86_64.
I will report back if it happens again otherwise the bug can be closed.
Comment 12 Lennart Poettering 2013-10-13 14:13:17 EDT
Closing then.

Note You need to log in before you can comment on or make changes to this bug.